Description

The < "less than" symbol does not display correctly. It displays as < in the data repository. When using Morpho it looks correct but
than when viewing the data package Online the < is displayed instead. | think this is a problem with the > symbol too.

I've been typing in the text "less than" and "greater than" for a workaround but it would be good to get this solved.

History

#1 - 10/12/2006 02:53 PM - Matt Jones

Inigo San Gil also reports a related issue:

My valid EML file
(http://www.cedarcreek.umn.edu/data/emlFiles/pl00e001.xml) has the
following line (content):

|Field|Plot|Ntrt|NitrAdd|Date| Taxon|Species |Biomass |Prop  <== Labels

However, once harvested, the metacat link to the document

(

http://metacat.lternet.edu/knb/metacat?action=read&gformat=xml&docid=knb-Iter-cdr.7901001.2

)

has that same line slightly changed to: |Field|Plot|Ntrt|NitrAdd|Date| Taxon|Species |Biomass |Prop  <== Labels

Note: the original entity character "<" has been translated to its
corresponding literal char, "<".
Needles to say, the resulting XML is not well formed.

Any way to correct this easily?

#2 - 03/06/2008 05:32 PM - Jing Tao

This bug has been fixed (base on callie's testing). Here are somethings i did:

1)Use ServletOutputSteam to replace PrintWriter to send response of read and query actions. So Java wouldn't encode the special characters.
2)Fix a bug in normalize method in MetacatULtil class - it will encode special characters.

3)Fix a similar bug in normalize subroute in register-dataset.cgi.

#3 - 03/06/2008 05:33 PM - Jing Tao

see above comment for fixing.

#4 - 05/14/2008 11:36 AM - Jing Tao

Change milestone to 1.8.1

#5 - 03/27/2013 02:20 PM - Redmine Admin
Original Bugzilla ID was 2517
